<?php
/*
 * $Horde: horde/login.php,v 2.48 2001/05/23 16:54:33 jon Exp $
 *
 * Copyright 1999, 2000 Charles J. Hagenbuch <chuck@horde.org>
 * Copyright 1999, 2000 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 */

require './config/horde.php';
error_reporting($conf['debug_level']);

require_once './lib/Horde.php';
require_once './lib/Auth.php';
require_once './lib/Browser.php';
require_once './lib/Registry.php';

$browser = new Browser();
//$registry = new Registry();
$registry = &Registry::singleton();

session_name($conf['session_name']);
@session_start();

if (Horde::getFormData('reason') == 'logout') {
    if ($registry->hasMethod('auth/logout')) {
        $url = Horde::getFormData('url', Horde::selfURL());
        header('Location: ' . Horde::url($registry->link('auth/logout', array('url' => Horde::url($url, true))), true));
        exit;
    } else {
        Auth::clearAuth();
    }
}

if (isset($HTTP_POST_VARS['horde_user']) &&
    isset($HTTP_POST_VARS['horde_pass'])) {
    $auth = Auth::factory($conf['auth']['driver'], $conf['auth']['params']);
    $auth->authenticate(Horde::getFormData('horde_user'), array('password' => Horde::getFormData('horde_pass')));
}

if (Auth::getAuth()) {
    if (Horde::getFormData('url')) {
        header('Location: ' . Horde::url(Horde::getFormData('url'), true));
        exit;
    }
}

if ($browser->hasFeature('wml')) {
    $conf['horde']['paths']['templates'] .= '/wml';
}

$title = _("Horde Login");
if (Auth::getAuth()) {
    $template = 'user.inc';
} elseif ($registry->hasMethod('auth/login')) {
    $url = Horde::getFormData('url', Horde::selfURL());
    header('Location: ' . Horde::url($registry->link('auth/login', array('url' => Horde::url($url, true))), true));
    exit;
} else {
    $js_onLoad = 'setFocus()';
    $template = 'login.inc';
}

ob_start();
require $conf['horde']['paths']['templates'] . '/common-header.inc';
require $conf['horde']['paths']['templates'] . '/login/' . $template;
require $conf['horde']['paths']['templates'] . '/common-footer.inc';
ob_end_flush();

?>
